cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

GKE Nginx not able to start with Dynatrace LD_PRELOAD

ryan_shaw1
Newcomer

We're deploying Dynatrace in our locked down GKE environment at runtime as described in the documentation and we can't seem to get it to work with Nginx. We have the same configuration running with tomcat pods but for some reason when we do the same for Nginx containers it refuses to start.

We've tried two different versions of nginx and the problem persists, the current version is listed in the Dynatrace documentation as being supported.

In the logs we can see the following repeated before the pod errors out:

Unable to fetch version: error getting client: Get http://config-version/ configVersion: dial unix /var/run/nginx-config-version.sock: connect: no such file or directory 

Any help would be appreciated here!


1 REPLY 1

I think you should open support ticket. In general if you have checked that version is supported, you should be as well sure that particular binary is supported. This may be issue here. But if everything is fine according to documentation, this may be bug and should be reported in support.

Sebastian